Bug 1231943 - Review Request: python-proliantutils - Client Library for interfacing with various devices in HP Proliant Servers
Summary: Review Request: python-proliantutils - Client Library for interfacing with va...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Haïkel Guémar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-15 16:32 UTC by John Trowbridge
Modified: 2015-07-29 01:57 UTC (History)
2 users (show)

Fixed In Version: python-proliantutils-2.1.0-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-23 19:13:52 UTC
Type: Bug
karlthered: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description John Trowbridge 2015-06-15 16:32:11 UTC
Spec URL: https://github.com/trown/packages/raw/master/python-proliantutils.spec

SRPM URL: https://github.com/trown/packages/raw/master/python-proliantutils-2.1.0-1.fc23.src.rpm

Description: Client Library for interfacing with various devices in HP Proliant Servers

Fedora Account System Username: trown

Successful koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=10061658

Comment 1 Haïkel Guémar 2015-06-30 15:59:37 UTC
One minor style change, please put the %description section above %prep,
people are used to find it there :)
You can fix this at import time (either regenerate the src.rpm or fix it directly in the spec before your first commit in dist-git)

As you did good informal review (mentioned in RHBZ#1219540), I hereby
sponsor you into Fedora Packagers group.

I hereby approve this package into Fedora Packages Collection, please
submit a SCM request. I advise you to add a comaintainer.
https://fedoraproject.org/wiki/Package_SCM_admin_requests




Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated". 2 files have unknown
     license. Detailed output of licensecheck in /home/haikel/1231943
     -python-proliantutils/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-proliantutils-2.1.0-1.fc23.noarch.rpm
          python-proliantutils-2.1.0-1.fc23.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
python-proliantutils (rpmlib, GLIBC filtered):
    python(abi)
    python-jsonschema
    python-oslo-concurrency
    python-oslo-utils
    python-six



Provides
--------
python-proliantutils:
    python-proliantutils



Source checksums
----------------
https://pypi.python.org/packages/source/p/proliantutils/proliantutils-2.1.0.tar.gz :
  CHECKSUM(SHA256) this package     : 2ae2744fed1c8e0fd7d14db19400c5c417edb60ff73b5717cef9c69796db42ab
  CHECKSUM(SHA256) upstream package : 2ae2744fed1c8e0fd7d14db19400c5c417edb60ff73b5717cef9c69796db42ab

Comment 2 John Trowbridge 2015-06-30 19:47:22 UTC
New Package SCM Request
=======================
Package Name: python-proliantutils
Short Description: Client Library for interfacing with various devices in HP Proliant Servers
Upstream URL: https://github.com/stackforge/proliantutils
Owners: trown divius
Branches: f21 f22 el6 epel7
InitialCC:

Comment 3 Gwyn Ciesla 2015-07-02 18:39:31 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2015-07-02 19:41:14 UTC
python-proliantutils-2.1.0-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/python-proliantutils-2.1.0-1.fc22

Comment 5 Fedora Update System 2015-07-02 19:52:04 UTC
python-proliantutils-2.1.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-proliantutils-2.1.0-1.fc21

Comment 6 Fedora Update System 2015-07-02 20:09:01 UTC
python-proliantutils-2.1.0-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/python-proliantutils-2.1.0-1.el7

Comment 7 Fedora Update System 2015-07-08 17:06:49 UTC
python-proliantutils-2.1.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository.

Comment 8 Fedora Update System 2015-07-23 19:13:52 UTC
python-proliantutils-2.1.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 9 Fedora Update System 2015-07-29 01:57:36 UTC
python-proliantutils-2.1.0-1.fc22 has been pushed to the Fedora 22 stable repository.


Note You need to log in before you can comment on or make changes to this bug.